Add a segment to a contact.
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/segments/{segment_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"is_admin": true,
"channels": [
{
"id": "<string>",
"type": "internal",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"platform_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>",
"color": "red",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"unsubscribe_reason": "<string>",
"unsubscribe_feedback": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication using your API key
Org ID
Contact ID
Segment ID
Schema for the contact
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/segments/{segment_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"is_admin": true,
"channels": [
{
"id": "<string>",
"type": "internal",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"platform_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>",
"color": "red",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"unsubscribe_reason": "<string>",
"unsubscribe_feedback": "<string>"
}